.mdc-restaurant-selector {
  position: fixed;
  z-index: 1200;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background-color: rgb(var(--color-bg-contrast-rgb) / 0.75);
  padding: 3.6rem;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  transition: 0.3s;
}
.mdc-restaurant-selector[hidden] {
  display: none;
}
.mdc-restaurant-selector .selector-content {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  width: min(100%, 100rem);
  background-color: var(--color-bg);
  border-radius: 2.4rem;
  padding: 3.6rem;
  gap: 2.4rem;
}
.mdc-restaurant-selector .selector-heading {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.mdc-restaurant-selector .selector-title {
  font-size: 2.4rem;
  line-height: 1.2;
}
.mdc-restaurant-selector .selector-close {
  display: flex;
  flex-shrink: 0;
  width: 4.4rem;
  height: 4.4rem;
  border-radius: 20rem;
  background-color: var(--color-bg-muted);
  justify-content: center;
  align-items: center;
}
.mdc-restaurant-selector .selector-close .icon {
  width: 1.2rem;
  height: 1.2rem;
}

.mdc-restaurant-selector .restaurant-items {
  overflow-y: auto;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 0.6rem;
}
.mdc-restaurant-selector .restaurant-item {
  background-color: var(--color-bg-muted);
  padding: 2.4rem;
  border-radius: 2rem;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  gap: 0.4rem;
}
.mdc-restaurant-selector .restaurant-item.is-current {
  background-color: var(--color-accent);
}
.mdc-restaurant-selector .restaurant-item .restaurant-item__title {
  display: block;
  line-height: 1.2;
}
.mdc-restaurant-selector .restaurant-item .restaurant-item__location {
  display: flex;
  align-items: flex-start;
  gap: 0.6rem;
}
.mdc-restaurant-selector .restaurant-item .restaurant-item__location-icon {
  display: block;
}
.mdc-restaurant-selector
  .restaurant-item
  .restaurant-item__location-icon
  .mdc-icon {
  width: 1.6rem;
  height: 1.6rem;
}
.mdc-restaurant-selector .restaurant-item .restaurant-item__location-content {
  display: block;
  line-height: 1.3;
  font-size: 1.4rem;
  padding-top: 0.1rem;
}
